Be in love with vulnerability scanning

Mageni is a powerful and easy vulnerability scanner used by companies of all sizes. You will be in love with Mageni's powerful features, ease of use and price. Free for 7-days then $39 monthly for infinite IPs.

Start now 

No Contracts, Cancel at Anytime and 7-days Money-Back Guarantee.

App screenshot

CVE-2011-2895

CVE information

Published

10 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

The LZW decompressor in (1) the BufCompressedFill function in fontfile/decompress.c in X.Org libXfont before 1.4.4 and (2) compress/compress.c in 4.3BSD, as used in zopen.c in OpenBSD before 3.8, FreeBSD, NetBSD 4.0.x and 5.0.x before 5.0.3 and 5.1.x before 5.1.1, FreeType 2.1.9, and other products, does not properly handle code words that are absent from the decompression table when encountered, which allows context-dependent attackers to trigger an infinite loop or a heap-based buffer overflow, and possibly execute arbitrary code, via a crafted compressed stream, a related issue to CVE-2006-1168 and CVE-2011-2896..

CVSSv2.0 Score

Severity
High
Base Score
9.3/10
Exploit Score
8.6/10
Access Vector
Network
Access Complexity
Medium
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:o:openbsd:openbsd:2.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:freetype:freetype:2.1.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:netbsd:netbsd:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.3.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:3.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:freebsd:freebsd:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:2.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:2.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:3.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:2.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.3.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:3.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:2.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:3.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:3.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:2.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.4.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:2.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x:libxfont:1.2.8:*:*:*:*:*:*:*
  Yes
- -

References

Every 11 seconds there is a ransomware attack.

Mageni can help you manage this threat by understanding your vulnerabilities and prioritizing the remediation.

Sign up for free